#$Id: makefile_win.mak,v 1.1 1998/10/19 20:51:10 beth Exp $
#
#  Copyright (c) 1988-1998, Research Systems Inc.  All rights reserved.
#  This software includes information which is proprietary to and a
#  trade secret of Research Systems, Inc.  It is not to be disclosed
#  to anyone outside of this organization. Reproduction by any means
#  whatsoever is  prohibited without express written permission.
#
#  makefile for CALL_EXTERNAL examples, Windows 95/NT with Visual C++ 5.0
#  To build these examples you should:
#  1) Make sure that the PATH,INCLUDE and LIB environment
#     variables are set correctly for Visual C++.
#     You can do this by running the batch file VCVARS32.BAT
#     which is found in the VC\BIN\ subdirectory of your
#     Visual C++ installation.
#  2) Make sure the macro IDL_DIR (defined below) points
#     to your IDL installation directory.
#  3) Run NMAKE with this file by doing:
#     NMAKE/F makefile_win.mak
#     at the DOS prompt.
#
!include <win32.mak>
#IDL_DIR = D:\proga~1\RSI\IDL52

SO_EXT=dll
CC=cl
LD=link
CFLAGS= $(cflags) $(cvarsdll) /Id:\viewhdf\hdf\hdf4.1r3\include /Id:\viewhdf
LD_LIBS= d:\viewhdf\idl32.lib $(guilibsdll) hd413m.lib hm413m.lib
LD_LIB = /LIBPATH:d:\viewhdf\hdf\hdf4.1r3\dlllib
#LD_LIBS= $(guilibsdll) hd413.lib hm413.lib
LD_FLAGS= /nologo $(dlllflags)

all:    ies_bds_rel2_5.5.$(SO_EXT)

libs = ies_bds.obj get_digital_data.obj


.c.obj:
        $(CC) $(cdebug) $(CFLAGS) $<

ies_bds_rel2_5.5.$(SO_EXT): $(libs)
        $(LD)  $(ldebug) $(LD_FLAGS) $(LD_LIB) $(libs) /DEF:ies_bds_rel2.def /out:ies_bds_rel2_5.5.$(SO_EXT) $(LD_LIBS)

tidy:
	@del *.obj
        @del *.lib
        @del *.exp	

clean:  tidy
        @del *.$(SO_EXT)
