;$Id: lib_name.pro,v 1.1 1998/10/19 20:51:10 beth Exp $
FUNCTION LIB_NAME,name
    ON_ERROR,2
    prefix = ''
    CASE !VERSION.OS_FAMILY OF 
    'unix'  :BEGIN
         CASE !VERSION.OS OF
         'hp-ux': lib_ext = 'sl'
         'AIX': begin
            ;AIX won't find a shared lib in the current dir
            ; unless the name is preceded with a ./
            lib_ext = 'a'
            prefix = './'
          end
         else: lib_ext = 'so'
         ENDCASE 
    END
    'vms'   :  lib_ext = 'EXE'
    'Windows' : lib_ext = 'DLL'
    'MacOS' : lib_ext = 'shlb'
    ELSE: MESSAGE,"Don't know what to do with: " + !VERSION.OS_FAMILY
    ENDCASE
    return,prefix + name + '.' + lib_ext
END
